.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

.main {
    flex-grow: 1;
    padding: rem(32) 0;

    @include media-breakpoint-up(sm) {
        padding: rem(48) 0;
    }
}

.error {
    text-align: center;

    &__media {
        max-width: rem(432);
        margin: 0 auto rem(32) auto;
    }

    &__text {
        font-weight: 500;
        font-size: rem(14);
        line-height: rem(22);
        margin-bottom: rem(32);
    }

    @include media-breakpoint-up(sm) {

        &__text {
            font-size: rem(18);
            line-height: rem(22);
        }
    }

    @include media-breakpoint-up(md) {
        margin-top: rem(-16);
        margin-bottom: rem(16);
    }
}


@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
